Get pull endpoint
GET
/v1/pull-endpoints/{id}
const url = 'https://api.hookbridge.io/v1/pull-endpoints/01935abc-def0-7123-4567-890abcdef012';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.hookbridge.io/v1/pull-endpoints/01935abc-def0-7123-4567-890abcdef012 \ --header 'Authorization: Bearer <token>'Retrieve a pull endpoint with event counts.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Pull endpoint identifier (UUIDv7)
Example
01935abc-def0-7123-4567-890abcdef012Responses
Section titled “Responses”Pull endpoint details
Media typeapplication/json
object
data
object
id
required
string format: uuid
name
string
description
string
mode
required
string
ingest_url
required
URL to give to your webhook provider. Does not include the secret token suffix.
string format: uri
active
required
Whether the endpoint is active (not deleted).
boolean
paused
required
boolean
retention_days
integer
event_type_source
string
event_type_path
string
counts
Event counts (only on single-endpoint GET, not list)
object
stored
integer
fetched
integer
delivered
integer
total
integer
verify_static_token
boolean
token_header_name
string
token_query_param
string
verify_hmac
boolean
hmac_header_name
string
timestamp_header_name
string
timestamp_ttl_seconds
integer
verify_ip_allowlist
boolean
allowed_cidrs
Array<string>
ingest_response_code
integer
idempotency_header_names
Array<string>
created_at
required
string format: date-time
updated_at
required
string format: date-time
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "data": { "mode": "pull", "event_type_source": "body" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
Media typeapplication/json
object
error
object
code
Machine-readable error code
string
message
Human-readable error message
string
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Resource not found
Media typeapplication/json
object
error
object
code
Machine-readable error code
string
message
Human-readable error message
string
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "error": { "code": "NOT_FOUND", "message": "Message not found" }, "meta": { "request_id": "req_xyz123" }}Personalize Examples
Enter your credentials to populate code examples throughout the docs.